Subject: bug#20215: 25.0.50; Support compilation as PIE

From: Philipp Stephani <[email-masked]>
Date: Sun, 21 Jun 2015 20:11:16 +0000

Stefan Monnier <[email-masked]> schrieb am Fr., 27. März 2015 um
23:46 Uhr:

> > Currently when trying to compile as a position-independent executable,
> > e.g.
>
> > ./configure CFLAGS=-fPIE LDFLAGS=-pie && make
>
> > Emacs segfaults when dumping.
>
> I have no idea why it would crash during the dumping process, but
> I wouldn't be surprised if after a successful dump of `temacs', the
> resulting `emacs' crashes early on, since the dump will be writing
> a heap which will probably contain pointers back into the code.
>
>
>
I haven't investigated why it crashes in detail, but since the dumper
prevents ASLR and PIE (and doesn't work on platforms such as Chromium), I
think it should be replaced by a portable dumper.